I'm trying to create an applet to load in a browser without the Plug-in with the 1.4 JDK and keep getting an exception loading the file. What's up?

John Zukowski

There were some minor changes added to the .class file with Java 1.2. Starting with Java 1.4, the default is to create .class files that are 1.2 compatible. Prior Java compilers defaulted to 1.1 format. To generate applets that will load without the Plug-in with the 1.4 compiler, use the -target option:

javac -target 1.1 ClassName.java
0 Comments  (click to add your comment)
Comment and Contribute

 

 

 

 

 


(Maximum characters: 1200). You have 1200 characters left.

 

 

About | Sitemap | Contact